Invoices
List invoices
Invoices and credit notes, newest first. Drafts are included; filter with `status`. Amounts are in cents. Fetch a single invoice for its lines and the recipient address.
Invoices and credit notes, newest first. Drafts are included; filter with status. Amounts are in cents. Fetch a single invoice for its lines and the recipient address.
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
limit?string
cursor?string
sort?string
order?string
Value in
- "asc"
- "desc"
status?string
Value in
- "draft"
- "open"
- "paid"
- "cancelled"
type?string
Value in
- "invoice"
- "credit_note"
Response Body
application/json
application/json
curl -X GET "https://example.com/api/public/v1/invoices"{ "data": [ { "attach_timesheet": true, "buyer_reference": "string", "cancelled_at": "string", "created_at": "string", "currency": "EUR", "delivery": null, "due_date": "string", "e_invoice_profile": null, "e_invoice_required": false, "exemption_reason": "string", "finalized_at": "string", "has_e_invoice": false, "has_pdf": true, "has_timesheet": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "issue_date": "string", "issue_date_mode": "finalization", "language": "de", "last_outbound": null, "notes": "string", "number": "string", "paid_at": "string", "payment_terms_days": 0, "purchase_order_reference": null, "recipient_name": "string", "recipient_org_id": "ee511059-8f6b-4913-8e7c-47346e5506a9", "related_invoice_id": "d96bbb55-4899-4574-89d2-c52d4e9142fb", "related_invoice_number": "string", "revision": 0, "service_period_end": "string", "service_period_start": "string", "status": "draft", "subtotal_net_cents": -9007199254740991, "tax_total_cents": -9007199254740991, "tax_treatment": "string", "total_gross_cents": -9007199254740991, "type": "invoice", "vat_breakdown": [ { "category": "S", "net_cents": -9007199254740991, "rate_bp": -9007199254740991, "tax_cents": -9007199254740991 } ] } ], "page": { "hasMore": true, "nextCursor": "string" }}{ "detail": { "property1": "string", "property2": "string" }, "error": { "code": "string", "current": 0, "feature": "api_access", "limit": 0, "message": "string", "plan": "free", "resource": "projects", "upgrade_to": "free" }}